/**************************************************************
*
*                PRINTER.HPP
*
**************************************************************/

typedef struct 
{
	CICONBLK *icon ;
	char *filename ;          /* for icon text, window info line */
	char *path ;              /* path for metafile if GEM clipboard
	                             can not be used */
	int screen_handle ;       /* screen handle, width and height */
	int screen_width, 
	    screen_height ;       /* for metafile dimensioning */
	int print_handle ;        /* VDI handle for printing */
	int print_width,
	    print_height ;        /* width and height */
	Awindow *drawer_window ;  /* for use of drawer procedures */
} 
PRINTER_INIT ;


/*******************************************************************
*/
	Awindow *PRINTER_constructor(PRINTER_INIT *) ;
/*
* constructor of the PRINTER object. It
* constructs an object instance of the PRINTER object containing
* ACS object and own data instances.
* 
* OUTPUT:  printer icon on screen and
*          own printer data instance connected to ACS window
*          instance
* 
* RETURN:  errors: NULL or -if successfull- ACS-window pointer,
*          which will be used as handle for the object instance
* 
*******************************************************************/

/*******************************************************************
*/
	void PRINTER_destructor(
		Awindow *wi				/* window to destruct */
	) ;
/*
* destructor of the PRINTER object. It
* frees all memory used by ACS and own data instances.
* 
*******************************************************************/
