/**************************************************************
*
*                ACS_PLUS.H
*
**************************************************************/

#if defined (__PUREC__)
#   include "..\include\portable.h"

/*******************************************************************
*/                                                            
	void debug_mem (
		void *defective		/* bad pointer */
	) ;
	
/* To substitute the ACS DEBUG_MEM procedure. See ACS manual.
* In case of memory errors, "debug_mem" then simply outputs the         
* value of the defective pointer and the 
* content of "memory_symptom" in an alert box.
* Modules using Awi_delete, Ast_delete, Ax_free, ..., 
* should set "memory_symptom" to a respective string before a call
* to these ACS procedures.
*                                                               
* INPUT:   
*/
	extern char *memory_symptom ;
/*                                                               
* OUTPUT:  alert box on screen
*                                                               
*******************************************************************/


/*******************************************************************
*/                                                            
	void *My_shrink(
		void *memory, /* pointer to the existing memory block */
		__int32 size  /* desired size of the new memory block */
	) ;
	
/* A pseudo Mshrink() for use in accessories.     
*  It copies the old memory block to another one with the        
*  the desired size using routines My_alloc and My_free.                                                          
*                                                               
* RETURN:  - NULL if size was 0,                              
*          - old memory pointer if new memory could not be 
*            allocated,
*          - pointer to new memory if new memory could be 
*            allocated.
*                                                               
*******************************************************************/

/*******************************************************************
*/
	void   *My_alloc(long size) ;
	void    My_free(void *ptr) ;

	char   *Myst_create(const char *parent) ;
	void    Myst_delete(char *ptr) ;

	OBJECT *Myob_create(const OBJECT *parent) ;
	void    Myob_delete(OBJECT *ptr) ;

	Awindow *Mywi_create(const Awindow *parent) ;
	void     Mywi_delete(Awindow *ptr) ;
#else
#	define  My_shrink realloc
#	define  My_alloc  malloc
#	define  My_free   free
#endif
/*
* substitute the corresponding ACS procedures. They make a protocol
* of heap operations which can be printed afterwards using 
*/
#if defined (__PUREC__)
	void print_operations(void) ;
/*
********************************************************************/


/**************************************************************
*
*                timer management (for delayed redraw)
*
**************************************************************/


int set_timer(Awindow *wi) ;     /* set a 2s timer for the window */
void stop_timer(Awindow *wi) ;   /* stop if a timer is running */
void init_time(void) ;           /* inititialize timer management */
void exit_time(void) ;           /* de-initialize */

#endif
